Inkyphat weather.py no longer working


#1

Been running this python code for months now, but after a recent software update it no longer works. Even the untouched Pimoroni original code fails now.
Anyone know what’s happening?
Here’s what I see from the original code in IDLE:-

================================ RESTART ================================

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 516, in urlopen
body=body, headers=headers)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 304, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 724, in _validate_conn
conn.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 203, in connect
conn = self._new_conn()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 133, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 64, in create_connection
for res in socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM):
File “/usr/lib/python3.4/socket.py”, line 530, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
socket.gaierror: [Errno -5] No address associated with hostname

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 362, in send
timeout=timeout
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 559, in urlopen
_pool=self, _stacktrace=stacktrace)
File “/usr/lib/python3/dist-packages/urllib3/util/retry.py”, line 245, in increment
raise six.reraise(type(error), error, _stacktrace)
File “/usr/lib/python3/dist-packages/six.py”, line 624, in reraise
raise value.with_traceback(tb)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 516, in urlopen
body=body, headers=headers)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 304, in _make_request
self._validate_conn(conn)
File “/usr/lib/python3/dist-packages/urllib3/connectionpool.py”, line 724, in _validate_conn
conn.connect()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 203, in connect
conn = self._new_conn()
File “/usr/lib/python3/dist-packages/urllib3/connection.py”, line 133, in _new_conn
(self.host, self.port), self.timeout, **extra_kw)
File “/usr/lib/python3/dist-packages/urllib3/util/connection.py”, line 64, in create_connection
for res in socket.getaddrinfo(host, port, 0, socket.SOCK_STREAM):
File “/usr/lib/python3.4/socket.py”, line 530, in getaddrinfo
for res in _socket.getaddrinfo(host, port, family, type, proto, flags):
urllib3.exceptions.ProtocolError: (‘Connection aborted.’, gaierror(-5, ‘No address associated with hostname’))

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/pi/Pimoroni/inkyphat/examples/weather.py”, line 59, in
weather = get_weather(location_string)
File “/home/pi/Pimoroni/inkyphat/examples/weather.py”, line 47, in get_weather
res = requests.get(uri)
File “/usr/lib/python3/dist-packages/requests/api.py”, line 60, in get
return request(‘get’, url, **kwargs)
File “/usr/lib/python3/dist-packages/requests/api.py”, line 49, in request
return session.request(method=method, url=url, **kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 457, in request
resp = self.send(prep, **send_kwargs)
File “/usr/lib/python3/dist-packages/requests/sessions.py”, line 569, in send
r = adapter.send(request, **kwargs)
File “/usr/lib/python3/dist-packages/requests/adapters.py”, line 407, in send
raise ConnectionError(err, request=request)
requests.exceptions.ConnectionError: (‘Connection aborted.’, gaierror(-5, ‘No address associated with hostname’))


#2

Check the post by Sandy this thread, Inky PHAT - new location And see if it applies to your setup.


#3

Aha, yes it is. Thank you.


#4

I should have this fixed in the morning. I’ve re-implemented it by scraping the data straight from Dark Sky. :-)


#5

See Inky PHAT - new location